Continue to Site

Eng-Tips is the largest engineering community on the Internet

Intelligent Work Forums for Engineering Professionals

  • Congratulations IDS on being selected by the Eng-Tips community for having the most helpful posts in the forums last week. Way to Go!

Call-out bubble thingie

Status
Not open for further replies.

JStephen

Mechanical
Aug 25, 2004
8,635
Okay, I want an arrow pointing to an object. I want a circle on the tail end of this arrow, with varying text (like "A12", to match a bill of materials) inside the circle. The arrow/ circle will be at various random angles. The circle will always be in line with the arrow (IE, not a bent leader line). The text needs to be always upright. There is a bunch of them. Is there a quick, semi-automatic way to accomplish this?

Current method: Define the arrow and circle as block, insert with orientation specified on screen; copy text into each circle; edit text for each callout.

I can define the circle as a block, and insert it on the tail of the arrow, but it seems much slower that way. I can define the text as an attribute, but seems like that would always rotate it to match the block, which is not correct.

Any ideas? Or chug along like I'm doing?
 
Replies continue below

Recommended for you

Not sure if it's the best way to do it, but the way I've seen it set up before, was to create one block, with the circle, and an attribute for the text, calling it something like "Bubble".

Create a second block that has the arrowhead, and insert "bubble" into that block at the end of the arrow, calling it something like "tag"

Insert "tag" into the part drawing, explode it, rotate the arrow and stretch as required, and edit the attribute in "bubble". Bunch of steps, but have seen people quite speedy at it once they get used to it.

There could something to automate that with lisp, or vb, but that's beyond me at this point.
 
I know you don't want this, but it is an option that might save you much time. This is a very old routine, written long long ago. It creates an associatve leader that is in reality a radius dimension, with a box around the text. After you are done, you have to grip move the text to lengthen the leader. What's nice is that because it is an associative dimension, the text and box stays horizontal no matter how you move rotate, etc the text. You might be able to get rid of the tail on the leader by fooling with some system variable(s). You could automate the text so it repeats the command and increments the text until you stop it.

(DEFUN C:LE (/ P1 P2 TX DX DA DG CE C)
(setq P1 (getpoint "First point: ")
P2 (getpoint "Second point: ")
TX (getstring t "Text: ")
SE (getvar "sortents")
DX (getvar "dimtix")
DA (getvar "dimassoc")
DG (getvar "dimgap")
CE (getvar "cmdecho")
)
(setvar "sortents" 0)
(setvar "dimtix" 0)
(setvar "dimassoc" 2)
(setvar "dimgap" (- 0.0 (abs DG)))
(setvar "cmdecho" 0)

(command "circle" "2p" p1 p2)
(setq C (ssget "L"))
(command "dim1" "rad" p1 TX p2)
(command "erase" "p" "")

(setvar "sortents" SE)
(setvar "dimtix" DX)
(setvar "dimassoc" DA)
(setvar "dimgap" DG)
(setvar "cmdecho" CE)
(princ)
)
 
There are several free "bubble leader" routines available out there. Google it and see what you come up with.

--------------------
Bring back the HP-15
--------------------
 
Status
Not open for further replies.

Part and Inventory Search

Sponsor